package com.huimv.acquisition.timmertask;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.fasterxml.jackson.databind.ser.Serializers;
import com.huimv.acquisition.entity.*;
import com.huimv.acquisition.mapper.*;
import com.huimv.acquisition.service.BaseFarmInfoService;
import com.huimv.acquisition.service.EartagRegisterService;
import com.huimv.acquisition.service.MovePigpenService;
import com.huimv.acquisition.socket.eartagrecive.util.DateUtil;
import com.huimv.acquisition.socket.eartagrecive.util.DateUtilsPublic;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.Date;
import java.util.List;

import static com.huimv.acquisition.socket.eartagrecive.util.DateUtilsPublic.DATE_FORMAT;

/**
 * @Author Anchor
 * @Date 2021/8/4 15:03
 * @Version 1.0.1
 */

@Slf4j
@Component
public class provideNewRankData {


//将存储的数据更新到最新的排名表--首先列出所有牧场

    @Autowired
    private EartagDataDao eartagDataDao;

    @Autowired
    private BasePigpenDao basePigpenDao;

    @Autowired
    private CollectorRegisterDao collectorRegisterDao;

    @Autowired
    private MovePigpenService movePigpenService;

    @Autowired
    private MovePigpenDao movePigpenDao;
    @Autowired
    private EartagRegisterService eartagRegisterService;

    @Autowired
    private EartagRegisterDao eartagRegisterDao;

    @Autowired
    private   BaseFarmInfoDao baseFarmInfoDao ;

    @Autowired
    private BaseFarmInfoService  baseFarmInfoService  ;


    @Autowired
    private DailyTabulateDataDao dailyTabulateDataDao   ;

    //首先查找出所有的牧场id

   // @Scheduled(cron = "0 0 12 * * ?")
    @Scheduled(cron = "0/5 * * * * ?")
    private void settingRegisting() throws ParseException {

       //找出所有的猪舍
     /*   LambdaQueryWrapper<BaseFarmInfoEntity> lambdaQuery3 = Wrappers.lambdaQuery();
        lambdaQuery3.orderByDesc( BaseFarmInfoEntity::get );
        List<BaseFarmInfoEntity> baseFarmInfoEntities = baseFarmInfoDao.selectList(lambdaQuery2);
*/
        String date = DateUtilsPublic.formatDate(new Date(), DATE_FORMAT);
        String datebegan= date+" 00:00:00";
        String dateend  = date+" 23:59:00";
        Date datebegan1 = DateUtil.parseDateTime(datebegan);
        Date dateeend = DateUtil.parseDateTime(dateend);


        LambdaQueryWrapper<DailyTabulateDataEntity> lambdaQuery2 = Wrappers.lambdaQuery();
        lambdaQuery2.between(DailyTabulateDataEntity::getStatisticDate,datebegan1, dateeend);
        lambdaQuery2.orderByDesc( DailyTabulateDataEntity::getStockTotal);//母猪总存栏
        List<DailyTabulateDataEntity> dailyTabulateDataEntit = dailyTabulateDataDao.selectList(lambdaQuery2);
         int a = 0;
        System.out.println();
        for ( DailyTabulateDataEntity dailyTabulateDataEnt : dailyTabulateDataEntit ) {
            System.out.println(dailyTabulateDataEnt.getId());



/*
              if ()
            SowRankTableEntity sowRankTableEntity = new SowRankTableEntity();
            sowRankTableEntity.setFarmCode(dailyTabulateDataEnt.getFarmCode());
             a++;
            sowRankTableEntity.setRank( String.valueOf(a));
            sowRankTableEntity.setOutStockCount(1);*/

        }



       //当日母猪总存栏是总数

























    }
}
























































